apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "28"
    field.cattle.io/description: ujse component
    field.cattle.io/publicEndpoints: '[{"addresses":["206.189.242.59"],"port":443,"protocol":"HTTPS","serviceName":"ujse-dev:ujse","ingressName":"ujse-dev:ujse-ingress","hostname":"ujse-ujse-dev.k8s.across-h2020.eu","allNodes":false}]'
  creationTimestamp: "2022-03-24T15:29:18Z"
  generation: 28
  labels:
    workload.user.cattle.io/workloadselector: apps.deployment-ujse-dev-ujse
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec:
        f:template:
          f:metadata:
            f:annotations:
              f:kubectl.kubernetes.io/restartedAt: {}
    manager: kubectl-rollout
    operation: Update
    time: "2022-03-29T08:52:21Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:field.cattle.io/description: {}
          f:field.cattle.io/publicEndpoints: {}
        f:labels:
          .: {}
          f:workload.user.cattle.io/workloadselector: {}
      f:spec:
        f:progressDeadlineSeconds: {}
        f:replicas: {}
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:strategy:
          f:rollingUpdate:
            .: {}
            f:maxSurge: {}
            f:maxUnavailable: {}
          f:type: {}
        f:template:
          f:metadata:
            f:annotations:
              .: {}
              f:cattle.io/timestamp: {}
            f:labels:
              .: {}
              f:workload.user.cattle.io/workloadselector: {}
          f:spec:
            f:affinity: {}
            f:containers:
              k:{"name":"container-0"}:
                .: {}
                f:env:
                  .: {}
                  k:{"name":"KEYCLOAK_AUTH_SERVER_URL"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_BEARER_ONLY"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_CONFIDENTIAL_PORT"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_ENABLED"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_PUBLIC_CLIENT"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_REALM"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_RESOURCE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_SSL_REQUIRED"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_USE_RESOURCE_ROLE_MAPPINGS"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"KEYCLOAK_VERIFY_TOKEN_AUDIENCE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_DATASOURCE_DRIVER-CLASS-NAME"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_DATASOURCE_PASSWORD"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_DATASOURCE_PLATFORM"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_DATASOURCE_URL"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_DATASOURCE_USERNAME"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_JPA_DATABASE-PLATFORM"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_JPA_HIBERNATE_DDL-AUTO"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SPRING_SECURITY_OAUTH2_RESOURCESERVER_JWT_ISSUER_URI"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"TRANSPARENCY_DASHBOARD_MAIN_URI"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SERVICE_CATALOG_URI_GETSERVICEINFOENG"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SERVICE_CATALOG_URI_GETSERVICESINFOENG"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SERVICE_CATALOG_URI_GETPERSONALDATASERVICESENG"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:ports:
                  .: {}
                  k:{"containerPort":8080,"protocol":"TCP"}:
                    .: {}
                    f:containerPort: {}
                    f:name: {}
                    f:protocol: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
            f:dnsConfig: {}
            f:dnsPolicy: {}
            f:hostAliases:
              .: {}
              k:{"ip":"172.26.41.211"}:
                .: {}
                f:hostnames: {}
                f:ip: {}
            f:imagePullSecrets:
              .: {}
              k:{"name":"across-registry"}: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:terminationGracePeriodSeconds: {}
    manager: rancher
    operation: Update
    time: "2022-05-06T16:24:45Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:deployment.kubernetes.io/revision: {}
      f:status:
        f:collisionCount: {}
        f:conditions:
          .: {}
          k:{"type":"Available"}:
            .: {}
            f:type: {}
          k:{"type":"Progressing"}:
            .: {}
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
        f:observedGeneration: {}
    manager: kube-controller-manager
    operation: Update
    time: "2022-10-06T14:30:04Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:availableReplicas: {}
        f:conditions:
          k:{"type":"Available"}:
            f:lastTransitionTime: {}
            f:lastUpdateTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
        f:readyReplicas: {}
        f:replicas: {}
        f:updatedReplicas: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2022-10-06T14:39:09Z"
  name: ujse
  namespace: ujse-dev
  resourceVersion: "160830703"
  uid: 26a7bf0b-b75f-4d8f-8b73-47fad01fbb5b
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      workload.user.cattle.io/workloadselector: apps.deployment-ujse-dev-ujse
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        cattle.io/timestamp: "2022-07-13T06:03:13Z"
        kubectl.kubernetes.io/restartedAt: "2022-05-10T14:55:14Z"
      creationTimestamp: null
      labels:
        workload.user.cattle.io/workloadselector: apps.deployment-ujse-dev-ujse
    spec:
      affinity: {}
      containers:
      - env:
        - name: SPRING_DATASOURCE_URL
          value: jdbc:postgresql://ujse-postgresql/ujse
        - name: SPRING_DATASOURCE_USERNAME
          value: postgres
        - name: SPRING_DATASOURCE_PASSWORD
          value: "12345"
        - name: SPRING_DATASOURCE_PLATFORM
          value: postgres
        - name: SPRING_DATASOURCE_DRIVER-CLASS-NAME
          value: org.postgresql.Driver
        - name: SPRING_JPA_DATABASE-PLATFORM
          value: org.hibernate.dialect.PostgreSQLDialect
        - name: SPRING_JPA_HIBERNATE_DDL-AUTO
          value: none
        - name: SERVICE_CATALOG_URI_GETSERVICEINFOENG
          value: https://service-catalogue-server-dev.k8s.across-h2020.eu/service-catalogue/api/v2/services/json/**
        - name: SERVICE_CATALOG_URI_GETSERVICESINFOENG
          value: https://service-catalogue-server-dev.k8s.across-h2020.eu/service-catalogue/api/v2/services/specified/**?
        - name: SERVICE_CATALOG_URI_GETPERSONALDATASERVICESENG
          value: https://service-catalogue-server-dev.k8s.across-h2020.eu/service-catalogue/api/v2/services/isPersonalDataHandling
        - name: TRANSPARENCY_DASHBOARD_MAIN_URI
          value: https://transparency-dashboard-be-td-dev.k8s.across-h2020.eu/api/rest/v1
        - name: SPRING_SECURITY_OAUTH2_RESOURCESERVER_JWT_ISSUER_URI
          value: https://keycloak-security-dev.k8s.across-h2020.eu/realms/across-dev
        - name: KEYCLOAK_AUTH_SERVER_URL
          value: https://keycloak-security-dev.k8s.across-h2020.eu
        - name: KEYCLOAK_REALM
          value: across-dev
        - name: KEYCLOAK_RESOURCE
          value: ujse
        - name: KEYCLOAK_PUBLIC_CLIENT
          value: "true"
        - name: KEYCLOAK_ENABLED
          value: "true"
        - name: KEYCLOAK_BEARER_ONLY
          value: "TRUE"
        - name: KEYCLOAK_SSL_REQUIRED
          value: NONE
        - name: KEYCLOAK_VERIFY_TOKEN_AUDIENCE
          value: "TRUE"
        - name: KEYCLOAK_USE_RESOURCE_ROLE_MAPPINGS
          value: "TRUE"
        - name: KEYCLOAK_CONFIDENTIAL_PORT
          value: "0"
        image: 094360380/wp4-user-journey-service-delivery:latest
        imagePullPolicy: Always
        name: container-0
        ports:
        - containerPort: 8080
          name: ujse
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsConfig: {}
      dnsPolicy: ClusterFirst
      hostAliases:
      - hostnames:
        - across.digital.tecnalia.dev
        ip: 172.26.41.211
      imagePullSecrets:
      - name: across-registry
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
status:
  availableReplicas: 1
  collisionCount: 1
  conditions:
  - lastTransitionTime: "2022-03-24T15:29:18Z"
    lastUpdateTime: "2022-07-13T06:03:27Z"
    message: ReplicaSet "ujse-d8d84f775" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2022-10-06T14:39:09Z"
    lastUpdateTime: "2022-10-06T14:39:09Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 28
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
